Subject: RE: [[email-masked]: Re: [SIP] draft-calhoun-sip-aaa-req]

From: "Christian Huitema" <[email-masked]>
Date: Fri, 5 Jan 2001 08:34:17 -0800

I don't really see why this discussion is going on on the SIP list.
There seem to be a campaign going on to promote Diameter as a solution
to every yet unstated problem in networking; yet Diameter is hardly more
than an unsanctioned draft proposal whose questionable engineering cause
the draft to undergo 17 revisions without yet being convincing. The AAA
group should probably focus on solving the problem they are chartered to
solve, i.e. a successor to Radius for network access, before trying to
expand the scope of application. We should revisit the issue in the SIP
group after the work of the AAA group has reached the draft standard
stage.

As for the assertion that AVP is generically better than text encoding,
this look like a rehash of the binary versus text debate that took place
in Megaco from 1998 to 2000. For the record, the one point of comparison
I have is that of the text based SGCP versus the Diameter based ICMP;
both where solving the same problem; SGCP messages were actually
shorter. The reason for that wasthe particularly bloated brand of AVP
used in Diameter, which is probably one of the worse designs I ever saw.
Heck, compared to the Diameter syntax, ASN.1/BER looks good!

-- Christian Huitema

> -----Original Message-----
> From: David Frascone [mailto:[email-masked]]
> Sent: Friday, January 05, 2001 7:47 AM
> To: Henry Sinnreich
> Cc: Pat Calhoun; Henning G. Schulzrinne; Michael Thomas; SIP List;
> [email-masked]; [email-masked]
> Subject: Re: [[email-masked]: Re: [SIP] 
> draft-calhoun-sip-aaa-req]
> 
> 
> > As for the question why XML/HTTP:
> > 
> > ISP services development and operations costs are minimized 
> by using the
> > smallest number of protocols and data formats.
> > HTTP clearly makes it to the top of the short list for transport.
> > XML has countless tools for dummies (like me) and can be 
> displayed with the
> > browser and is thus ideal for testing and prototyping in 
> this fast changing
> > environment. It is has also a large field of applicability. 
> DIAMETER with
> > its AVP data formats does not have these advantages - may 
> have its place as
> > mentioned for network access, but is not in the center of 
> the AAA universe
> > IMHO. Pushing DIAMETER to be the focus of AAA is not convincing.
> > 
> 
> I'm not sure I follow your reasoning.  I agree that XML is an 
> exelent way
> to model data.  But, I have to disagree about it being a good 
> transport.  In
> my opinion, AVPs were chosen because the are extensible, and, 
> SMALL.  And,
> since they are binary, they do not have to be parsed, but can 
> be manipulated
> by pointing a structure at them.
> 
> Any of the data transported in AVPs could be *viewed* with an 
> XML viewer after
> a small conversion.  Accounting data could also be sent as 
> XML.  Any XML
> payload could be sent inside of AVPs.
> 
> But, I *still* don't understand why you would want the 
> TRANSPORT to be 
> XML.  We are still talking about the TRANSPORT, right?  What 
> is the reasoning
> for having XML on the wire? 
> 
> <sarcastic hat> I mean, if we are going to use it as the 
> transport, why stop
> there?  Why not XML over IP?  XML over ethernet? </sarcastic hat>
> 
> Please, If I'm missing something, let me know.  But I am 
> haveing serious
> trouble following your need for being able to sniff XML 
> packets on the wire.
> 
> 
> Dave Frascone
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 5 Jan 2001 10:40:38 -0800 (PST)

> I don't really see why this discussion is going on on the SIP list.

So why do you bother with the following then? If you want to keep these
discussions off the list, then leaving it be would have been the best
approach. 

Of course, after being (nearly) personally insulted, it is rather hard for me
to ignore your comments.

> There seem to be a campaign going on to promote Diameter as a solution
There is no campaign that I am aware of.

> to every yet unstated problem in networking;

Every yet unstated problem in networking? Well, let me see, we have wide
support to solve Network Access (PPP, mostly used for wireline and some
wireless & Mobile IP for wireless) and we have started to put together some
requirements for SIP given that some 3G bodies want to re-use their AAA
infrastructure for it.

Far from all of networking. Wouldn't you agree?

> yet Diameter is hardly more
> than an unsanctioned draft proposal 

Perhaps you'd be interested in reading the AAA WG charter, which is working on
the DIAMETER protocol (yes, the WG did select the DIAMETER protocol as the
base from which to start). The charter can be found at
http://www.ietf.org/html.charters/aaa-charter.html

> whose questionable engineering cause
> the draft to undergo 17 revisions without yet being convincing.

ok, fair enough. 17 revisions since 1995, which means lots of input from the
community, even before it was an IETF document.

Of course, please keep in mind that many of these revisions were based on
RADIUS operational experience, changes in how RADIUS in used in the net over
the years (hence the roamops WG), and further simplifications of the protocol.
However, if we are to judge a protocol based on the number of revisions it
took before it went to last call, then I believe that many I-Ds would fall
under the category of "questionable engineering". 

As an aside, how many revisions does it take before a protocol becomes
questionable engineering?

> The AAA

The AAA WG is continuing with their effort, as shown in the charter and
archives. We already have text to apply to the DIAMETER specs that have been
the result of lots of work in design teams, and is under working group review.

oh, and the SIP/AAA requirements I-D has nothing to do with the AAA WG. This
is an independend effort to gather *requirements*, requirements that should
not even affect the SIP protocol. However, we decided that the best place to
do this is in SIP, where people understand how it works, and how it is
deployed. 

so I really don't understand the protocol attack going on. Why not attack the
requirements?

Once we can agree on a set of requirements, then we can choose a protocol. We
provided the model that the 3G community is assuming in our draft for
reference, but I have yet to hear any comments on the actual requirements.

[more protocol bashing deleted]

PatC